petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDrawAxisSetHoldLimits

Causes an axis to keep the same limits until this is called again

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawAxisSetHoldLimits(PetscDrawAxis axis,PetscBool hold)

Logically Collective on PetscDrawAxis

### Input Parameters

| axis | - the axis
| hold | - PETSC_TRUE - hold current limits, PETSC_FALSE allow limits to be changed

### Notes

Once this has been called with PETSC_TRUE the limits will not change if you call PetscDrawAxisSetLimits() until you call this with PETSC_FALSE

### See Also

PetscDrawAxisCreate(), PetscDrawAxis, PetscDrawAxisGetLimits(), PetscDrawAxisSetLimits(), PetscDrawAxisSetLabels(), PetscDrawAxisSetColors()

### Level

advanced

### Location

src/sys/classes/draw/utils/axisc.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages